#!/usr/bin/python

import string
import re
import sys

# Returns a string of num spaces.
def spaces (num):
  toReturn = ''

  for i in range(num):
    toReturn += ' '

  return toReturn

# Prints lines to file xfile. Col is the line column := where the delimiter 
# should appear.
def print_file (xfile, col, lines):
  for line in lines:
    s = line.split(':=')
    if len(s) == 1:
      xfile.write(line)
    else:
      s[0] = s[0].strip()
      s[1] = s[1].strip()
    
      xfile.write(s[0] + spaces(col - len(s[0])) + ':= ' + s[1] + '\n')
# end print_file()

# Creates a backup of the file, then fixes number of spaces based on col.
def fix_file(fname, col):
  # Read the file into list lines.
  xfile = open('./' + fname + '.txt', 'r')
  lines = xfile.readlines()
  xfile.close()

  # Create a backup copy.
  bakfile = open('./' + fname + '.bak', 'w')
  bakfile.writelines(lines)
  bakfile.close()

  # Overwrite the file with fixed spacing.
  xfile = open('./' + fname + '.txt', 'w')
  print_file(xfile, col, lines)
  xfile.close()
# end fix_file()



fix_file('XFileClasses_Stellar', 53)

fix_file('BitmapEffects_System', 53)
